import { getGlobalSingleton } from "./carrier.js";
import { Scope } from "./scope.js";
//#region node_modules/@sentry/core/build/esm/defaultScopes.js
function getDefaultCurrentScope() {
	return getGlobalSingleton("defaultCurrentScope", () => new Scope());
}
function getDefaultIsolationScope() {
	return getGlobalSingleton("defaultIsolationScope", () => new Scope());
}
//#endregion
export { getDefaultCurrentScope, getDefaultIsolationScope };
